Description

Thredds can approximately manage automatic coloring of the maps, but an additional parameter (colorscalerange) has to be added

to the WMS link.

This is one example of working WMS link for a Thredds layer, with the colorscalerange parameter activated:

http://thredds-d-d4s.d4science.org/thredds/wms/public/netcdf/test20.nc?service=wms&version=1.3.0&r

equest=GetMap&layers=analyzed_field&bbox=-85.0,-180.0,85.0,180.0&styles=&width=640&height=480&srs=

EPSG:4326&CRS=EPSG:4326&format=image/png&COLORSCALERANGE=auto

 On the dev GeoNetwork, the "Generic Raster Layer 5" layer has this WMS link associated. Nevertheless, when visualised on

GeoExplorer, the above link becomes:

http://thredds-d-d4s.d4science.org/thredds/wms/public/netcdf/test20.nc?LAYERS=analyzed_field&TRANS

PARENT=TRUE&FORMAT=image%2Fpng&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&STYLES=&SRS=EPSG%3A4326&_O

LSALT=0.5492304935709325&BBOX=90,-360,180,-270&WIDTH=256&HEIGHT=256

 thus, the parameter disappears.

This behavious should be fixed for NetCDF based layers.

Subtasks:

Related issues:

Related to D4Science Infrastructure - Task #536: Thredds: tomcat runs as root Closed Sep 23, 2015

History

#2 - Nov 23, 2015 02:55 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

#3 - Nov 24, 2015 12:15 PM - Francesco Mangiacrapa

- Status changed from In Progress to Paused

#4 - Nov 27, 2015 04:05 PM - Francesco Mangiacrapa

- Status changed from Paused to In Progress

#5 - Dec 01, 2015 03:28 PM - Gianpaolo Coro

- Related to Task #536: Thredds: tomcat runs as root added

#7 - Jan 05, 2016 04:27 PM - Francesco Mangiacrapa

In order to manage and discriminate correctly styles and palettes for Geoserver and Thredds layers, I created a procedure to get/retrieve styles as

following (pseudocode):

Request GetStyle works?

    OK -> isGeoserver or isMapserver

    FAIL ->  contains COLOROSCALERANGE?

            YES -> with value="min,max"? skip; with value="auto"? goto GetMetadata(min,max)

            NO -> GetMetadata(min,max)

                    OK -> isRaster, add COLOROSCALERANGE with min,max values

                    FAIL -> isNotRaster or isNotThredds, skip

 Moreover, I updated the request GetLegendGraphic adding COLORSCALERANGE=min,max to show the legend related to a (Thredds) layer with

correct ranges of values.
#8 - Jan 07, 2016 12:17 PM - Francesco Mangiacrapa

GeoeExplorer/GisViewer on dev environment (https://dev.d4science.org/group/devvre/geoexplorer) have been updated in order to show all styles

availables for Thredds layers retrieved through GetMetadata request.

#9 - Jan 12, 2016 11:45 AM - Francesco Mangiacrapa

- Status changed from In Progress to Closed
